package com.mwc.util;

/**
 * Encode a string for display on a web page.
 * 
 * @author Matthew W. Coan
 */
public class FormEncoder {
   public static String encode(String str) {
      StringBuffer buf = new StringBuffer();
      for(int i = 0; i < str.length(); i++) {
         if(str.charAt(i) == '<')
            buf.append("&lt;");
         else if(str.charAt(i) == '\"')
            buf.append("&quot;");
         else
            buf.append(str.charAt(i));
      }
      return buf.toString();
   }
}